## NMDeviceBridge NMDeviceBridge |

## Functions

GQuark | nm_device_bridge_error_quark ()
GObject * | nm_device_bridge_new ()
const char * | nm_device_bridge_get_hw_address ()
gboolean | nm_device_bridge_get_carrier ()
const GPtrArray * | nm_device_bridge_get_slaves ()

## Properties

gboolean | carrier | Read
gchar * | hw-address | Read
NMObjectArray * | slaves | Read

## Types and Values

enum | NMDeviceBridgeError
#define | NM_DEVICE_BRIDGE_ERROR
#define | NM_DEVICE_BRIDGE_HW_ADDRESS
#define | NM_DEVICE_BRIDGE_CARRIER
#define | NM_DEVICE_BRIDGE_SLAVES

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceBridge

## Description

## Functions

### nm_device_bridge_error_quark ()

    GQuark
    nm_device_bridge_error_quark (void);

Registers an error quark for NMDeviceBridge if necessary.

#### Returns

the error quark used for NMDeviceBridge errors.

Since 0.9.8

### nm_device_bridge_new ()

    GObject *
    nm_device_bridge_new (DBusGConnection *connection,
                          const char *path);

Creates a new NMDeviceBridge.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the device |

#### Returns

a new device.

[transfer full]

Since 0.9.8

### nm_device_bridge_get_hw_address ()

    const char *
    nm_device_bridge_get_hw_address (NMDeviceBridge *device);

Gets the hardware (MAC) address of the NMDeviceBridge

#### Parameters

device | a NMDeviceBridge |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

Since 0.9.8

### nm_device_bridge_get_carrier ()

    gboolean
    nm_device_bridge_get_carrier (NMDeviceBridge *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceBridge |

#### Returns

`TRUE` if the device has carrier

Since 0.9.8

### nm_device_bridge_get_slaves ()

    const GPtrArray *
    nm_device_bridge_get_slaves (NMDeviceBridge *device);

Gets the devices currently slaved to `device` .

#### Parameters

device | a NMDeviceBridge |

#### Returns

the GPtrArray containing NMDevices that are slaves of `device` . This is the internal copy used by the device, and must not be modified.

[element-type NMClient.Device]

Since 0.9.8

## Types and Values

### enum NMDeviceBridgeError

#### Members

NM_DEVICE_BRIDGE_ERROR_UNKNOWN | unknown or unclassified error |
NM_DEVICE_BRIDGE_ERROR_NOT_BRIDGE_CONNECTION | the connection was not of bridge type |
NM_DEVICE_BRIDGE_ERROR_INVALID_BRIDGE_CONNECTION | the bridge connection was invalid |
NM_DEVICE_BRIDGE_ERROR_INTERFACE_MISMATCH | the interfaces of the connection and the device mismatched |

Since 0.9.8

### NM_DEVICE_BRIDGE_ERROR

    #define NM_DEVICE_BRIDGE_ERROR nm_device_bridge_error_quark ()

### NM_DEVICE_BRIDGE_HW_ADDRESS

    #define NM_DEVICE_BRIDGE_HW_ADDRESS  "hw-address"

### NM_DEVICE_BRIDGE_CARRIER

    #define NM_DEVICE_BRIDGE_CARRIER     "carrier"

### NM_DEVICE_BRIDGE_SLAVES

    #define NM_DEVICE_BRIDGE_SLAVES      "slaves"

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Carrier.

Flags: Read

Default value: FALSE

Since 0.9.8

### The `“hw-address”` property

      “hw-address”               gchar *

Currently set hardware MAC address.

Flags: Read

Default value: NULL

Since 0.9.8

### The `“slaves”` property

      “slaves”                   NMObjectArray *

Slaves.

Flags: Read

Since 0.9.8